{
  "schema_version": "1.4.0",
  "id": "GHSA-hmmj-vx9q-w3g8",
  "modified": "2022-05-17T03:54:50Z",
  "published": "2022-05-17T03:54:50Z",
  "aliases": [
    "CVE-2016-1887"
  ],
  "details": "Integer signedness error in the sockargs function in sys/kern/uipc_syscalls.c in FreeBSD 10.1 before p34, 10.2 before p17, and 10.3 before p3 allows local users to cause a denial of service (memory overwrite and kernel panic) or gain privileges via a negative buflen argument, which triggers a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-1887"
    },
    {
      "type": "WEB",
      "url": "https://security.FreeBSD.org/advisories/FreeBSD-SA-16:19.sendmsg.asc"
    },
    {
      "type": "WEB",
      "url": "http://cturt.github.io/sendmsg.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035906"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-05-25T15:59:00Z"
  }
}